Bug 1937694 - [oVirt] split ovirt providerIDReconciler logic into NodeController and ProviderIDController
Summary: [oVirt] split ovirt providerIDReconciler logic into NodeController and Provid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Gal Zaidman
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks: 1929702 1939360
TreeView+ depends on / blocked
 
Reported: 2021-03-11 11:08 UTC by Gal Zaidman
Modified: 2021-07-27 22:53 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-ovirt pull 95 0 None open Bug 1937694: providerIDController ignore nodes that have no machine 2021-03-11 11:11:01 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:53:08 UTC

Description Gal Zaidman 2021-03-11 11:08:15 UTC
Description of problem:

We need to split the logic of providerIDReconciler into NodeController and ProviderIDController.
This will allow us to ignore nodes that don't have the ovirt providerID on the delete node flow:

ProviderIDController:
If Node already has providerID, ignore
If Node doesn't have providerID, attempt to find it from oVirt/(Machine with oVirt spec)
If Node doesn't have providerID and isn't oVirt, error and look again later 

NodeController:

If no providerID or providerID not prefixed with ovirt, ignore.
If ovirt providerID and this vm no longer exists on provider, remove

How to test:
Try to challenge the machine logic, scaling up and down, removing VM from ovirt and so on

Comment 2 Guilherme Santos 2021-03-23 17:27:57 UTC
Verified on:
4.8.0-0.nightly-2021-03-19-075500

Steps:
1. scaled up the cluster
2. on ovirt, manually removed some worker vms (some while it's been deployed)
3. scale down and then up few times repeating the deletion in the middle

Results:
deletion and addition of nodes/vms working as expected
missing vms properly reported as failed (or stuck in provisioning/provisioned if deletion while being created - they would be the first ones to be deleted on scale down though)

Comment 5 errata-xmlrpc 2021-07-27 22:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.